Interface BlobEndpointBuilderFactory.BlobEndpointBuilder
- All Superinterfaces:
BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder,BlobEndpointBuilderFactory.BlobEndpointProducerBuilder,org.apache.camel.builder.EndpointConsumerBuilder,org.apache.camel.EndpointConsumerResolver,org.apache.camel.builder.EndpointProducerBuilder,org.apache.camel.EndpointProducerResolver
- Enclosing interface:
BlobEndpointBuilderFactory
public static interface BlobEndpointBuilderFactory.BlobEndpointBuilder
extends BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder, BlobEndpointBuilderFactory.BlobEndpointProducerBuilder
Builder for endpoint for the Azure Storage Blob Service component.
-
Method Summary
Modifier and TypeMethodDescriptionAccess key for the associated azure account name to be used for authentication with azure blob services.advanced()The blob name, to consume specific blob from a container.blobOffset(long blobOffset) Set the blob offset for the upload or download operations, default is 0.blobOffset(String blobOffset) Set the blob offset for the upload or download operations, default is 0.blobServiceClient(com.azure.storage.blob.BlobServiceClient blobServiceClient) Client to a storage account.blobServiceClient(String blobServiceClient) Client to a storage account.The blob type in order to initiate the appropriate settings for each blob type.blobType(org.apache.camel.component.azure.storage.blob.BlobType blobType) The blob type in order to initiate the appropriate settings for each blob type.closeStreamAfterRead(boolean closeStreamAfterRead) Close the stream after read or keep it open, default is true.closeStreamAfterRead(String closeStreamAfterRead) Close the stream after read or keep it open, default is true.credentials(com.azure.storage.common.StorageSharedKeyCredential credentials) StorageSharedKeyCredential can be injected to create the azure client, this holds the important authentication information.credentials(String credentials) StorageSharedKeyCredential can be injected to create the azure client, this holds the important authentication information.credentialType(String credentialType) Determines the credential strategy to adopt.credentialType(org.apache.camel.component.azure.storage.blob.CredentialType credentialType) Determines the credential strategy to adopt.How many bytes to include in the range.How many bytes to include in the range.The file directory where the downloaded blobs will be saved to, this can be used in both, producer and consumer.maxResultsPerPage(Integer maxResultsPerPage) Specifies the maximum number of blobs to return, including all BlobPrefix elements.maxResultsPerPage(String maxResultsPerPage) Specifies the maximum number of blobs to return, including all BlobPrefix elements.maxRetryRequests(int maxRetryRequests) Specifies the maximum number of additional HTTP Get requests that will be made while reading the data from a response body.maxRetryRequests(String maxRetryRequests) Specifies the maximum number of additional HTTP Get requests that will be made while reading the data from a response body.Filters the results to return only blobs whose names begin with the specified prefix.Filters the results to return only blobs whose names match the specified regular expression.In case of usage of Shared Access Signature we'll need to set a SAS Token.serviceClient(com.azure.storage.blob.BlobServiceClient serviceClient) Client to a storage account.serviceClient(String serviceClient) Client to a storage account.sourceBlobAccessKey(String sourceBlobAccessKey) Source Blob Access Key: for copyblob operation, sadly, we need to have an accessKey for the source blob we want to copy Passing an accessKey as header, it's unsafe so we could set as key.An optional timeout value beyond which a RuntimeException will be raised.An optional timeout value beyond which a RuntimeException will be raised.Methods inherited from interface org.apache.camel.builder.endpoint.dsl.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder
backoffErrorThreshold, backoffErrorThreshold, backoffIdleThreshold, backoffIdleThreshold, backoffMultiplier, backoffMultiplier, delay, delay, greedy, greedy, initialDelay, initialDelay, repeatCount, repeatCount, runLoggingLevel, runLoggingLevel, scheduledExecutorService, scheduledExecutorService, scheduler, scheduler, schedulerProperties, schedulerProperties, sendEmptyMessageWhenIdle, sendEmptyMessageWhenIdle, startScheduler, startScheduler, timeUnit, timeUnit, useFixedDelay, useFixedDelayMethods inherited from interface org.apache.camel.builder.endpoint.dsl.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder
blobSequenceNumber, blobSequenceNumber, blockListType, blockListType, changeFeedContext, changeFeedContext, changeFeedEndTime, changeFeedEndTime, changeFeedStartTime, changeFeedStartTime, closeStreamAfterWrite, closeStreamAfterWrite, commitBlockListLater, commitBlockListLater, createAppendBlob, createAppendBlob, createPageBlob, createPageBlob, downloadLinkExpiration, downloadLinkExpiration, operation, operation, pageBlobSize, pageBlobSizeMethods inherited from interface org.apache.camel.builder.EndpointConsumerBuilder
doSetMultiValueProperties, doSetMultiValueProperty, doSetProperty, expr, getRawUri, getUriMethods inherited from interface org.apache.camel.EndpointConsumerResolver
resolve, resolveMethods inherited from interface org.apache.camel.builder.EndpointProducerBuilder
doSetMultiValueProperties, doSetMultiValueProperty, doSetProperty, expr, getRawUri, getUriMethods inherited from interface org.apache.camel.EndpointProducerResolver
resolve, resolve
-
Method Details
-
advanced
- Specified by:
advancedin interfaceBlobEndpointBuilderFactory.BlobEndpointConsumerBuilder- Specified by:
advancedin interfaceBlobEndpointBuilderFactory.BlobEndpointProducerBuilder
-
blobName
The blob name, to consume specific blob from a container. However, on producer it is only required for the operations on the blob level. The option is a: <code>java.lang.String</code> type. Group: common- Specified by:
blobNamein interfaceBlobEndpointBuilderFactory.BlobEndpointConsumerBuilder- Specified by:
blobNamein interfaceBlobEndpointBuilderFactory.BlobEndpointProducerBuilder- Parameters:
blobName- the value to set- Returns:
- the dsl builder
-
blobOffset
Set the blob offset for the upload or download operations, default is 0. The option is a: <code>long</code> type. Default: 0 Group: common- Specified by:
blobOffsetin interfaceBlobEndpointBuilderFactory.BlobEndpointConsumerBuilder- Specified by:
blobOffsetin interfaceBlobEndpointBuilderFactory.BlobEndpointProducerBuilder- Parameters:
blobOffset- the value to set- Returns:
- the dsl builder
-
blobOffset
Set the blob offset for the upload or download operations, default is 0. The option will be converted to a <code>long</code> type. Default: 0 Group: common- Specified by:
blobOffsetin interfaceBlobEndpointBuilderFactory.BlobEndpointConsumerBuilder- Specified by:
blobOffsetin interfaceBlobEndpointBuilderFactory.BlobEndpointProducerBuilder- Parameters:
blobOffset- the value to set- Returns:
- the dsl builder
-
blobServiceClient
default BlobEndpointBuilderFactory.BlobEndpointBuilder blobServiceClient(com.azure.storage.blob.BlobServiceClient blobServiceClient) Client to a storage account. This client does not hold any state about a particular storage account but is instead a convenient way of sending off appropriate requests to the resource on the service. It may also be used to construct URLs to blobs and containers. This client contains operations on a service account. Operations on a container are available on BlobContainerClient through getBlobContainerClient(String), and operations on a blob are available on BlobClient through getBlobContainerClient(String).getBlobClient(String). The option is a: <code>com.azure.storage.blob.BlobServiceClient</code> type. Group: common- Specified by:
blobServiceClientin interfaceBlobEndpointBuilderFactory.BlobEndpointConsumerBuilder- Specified by:
blobServiceClientin interfaceBlobEndpointBuilderFactory.BlobEndpointProducerBuilder- Parameters:
blobServiceClient- the value to set- Returns:
- the dsl builder
-
blobServiceClient
Client to a storage account. This client does not hold any state about a particular storage account but is instead a convenient way of sending off appropriate requests to the resource on the service. It may also be used to construct URLs to blobs and containers. This client contains operations on a service account. Operations on a container are available on BlobContainerClient through getBlobContainerClient(String), and operations on a blob are available on BlobClient through getBlobContainerClient(String).getBlobClient(String). The option will be converted to a <code>com.azure.storage.blob.BlobServiceClient</code> type. Group: common- Specified by:
blobServiceClientin interfaceBlobEndpointBuilderFactory.BlobEndpointConsumerBuilder- Specified by:
blobServiceClientin interfaceBlobEndpointBuilderFactory.BlobEndpointProducerBuilder- Parameters:
blobServiceClient- the value to set- Returns:
- the dsl builder
-
blobType
default BlobEndpointBuilderFactory.BlobEndpointBuilder blobType(org.apache.camel.component.azure.storage.blob.BlobType blobType) The blob type in order to initiate the appropriate settings for each blob type. The option is a: <code>org.apache.camel.component.azure.storage.blob.BlobType</code> type. Default: blockblob Group: common- Specified by:
blobTypein interfaceBlobEndpointBuilderFactory.BlobEndpointConsumerBuilder- Specified by:
blobTypein interfaceBlobEndpointBuilderFactory.BlobEndpointProducerBuilder- Parameters:
blobType- the value to set- Returns:
- the dsl builder
-
blobType
The blob type in order to initiate the appropriate settings for each blob type. The option will be converted to a <code>org.apache.camel.component.azure.storage.blob.BlobType</code> type. Default: blockblob Group: common- Specified by:
blobTypein interfaceBlobEndpointBuilderFactory.BlobEndpointConsumerBuilder- Specified by:
blobTypein interfaceBlobEndpointBuilderFactory.BlobEndpointProducerBuilder- Parameters:
blobType- the value to set- Returns:
- the dsl builder
-
closeStreamAfterRead
default BlobEndpointBuilderFactory.BlobEndpointBuilder closeStreamAfterRead(boolean closeStreamAfterRead) Close the stream after read or keep it open, default is true. The option is a: <code>boolean</code> type. Default: true Group: common- Specified by:
closeStreamAfterReadin interfaceBlobEndpointBuilderFactory.BlobEndpointConsumerBuilder- Specified by:
closeStreamAfterReadin interfaceBlobEndpointBuilderFactory.BlobEndpointProducerBuilder- Parameters:
closeStreamAfterRead- the value to set- Returns:
- the dsl builder
-
closeStreamAfterRead
default BlobEndpointBuilderFactory.BlobEndpointBuilder closeStreamAfterRead(String closeStreamAfterRead) Close the stream after read or keep it open, default is true. The option will be converted to a <code>boolean</code> type. Default: true Group: common- Specified by:
closeStreamAfterReadin interfaceBlobEndpointBuilderFactory.BlobEndpointConsumerBuilder- Specified by:
closeStreamAfterReadin interfaceBlobEndpointBuilderFactory.BlobEndpointProducerBuilder- Parameters:
closeStreamAfterRead- the value to set- Returns:
- the dsl builder
-
credentials
StorageSharedKeyCredential can be injected to create the azure client, this holds the important authentication information. The option will be converted to a <code>com.azure.storage.common.StorageSharedKeyCredential</code> type. Group: common- Specified by:
credentialsin interfaceBlobEndpointBuilderFactory.BlobEndpointConsumerBuilder- Specified by:
credentialsin interfaceBlobEndpointBuilderFactory.BlobEndpointProducerBuilder- Parameters:
credentials- the value to set- Returns:
- the dsl builder
-
credentialType
default BlobEndpointBuilderFactory.BlobEndpointBuilder credentialType(org.apache.camel.component.azure.storage.blob.CredentialType credentialType) Determines the credential strategy to adopt. The option is a: <code>org.apache.camel.component.azure.storage.blob.CredentialType</code> type. Default: AZURE_IDENTITY Group: common- Specified by:
credentialTypein interfaceBlobEndpointBuilderFactory.BlobEndpointConsumerBuilder- Specified by:
credentialTypein interfaceBlobEndpointBuilderFactory.BlobEndpointProducerBuilder- Parameters:
credentialType- the value to set- Returns:
- the dsl builder
-
credentialType
Determines the credential strategy to adopt. The option will be converted to a <code>org.apache.camel.component.azure.storage.blob.CredentialType</code> type. Default: AZURE_IDENTITY Group: common- Specified by:
credentialTypein interfaceBlobEndpointBuilderFactory.BlobEndpointConsumerBuilder- Specified by:
credentialTypein interfaceBlobEndpointBuilderFactory.BlobEndpointProducerBuilder- Parameters:
credentialType- the value to set- Returns:
- the dsl builder
-
dataCount
How many bytes to include in the range. Must be greater than or equal to 0 if specified. The option is a: <code>java.lang.Long</code> type. Group: common- Specified by:
dataCountin interfaceBlobEndpointBuilderFactory.BlobEndpointConsumerBuilder- Specified by:
dataCountin interfaceBlobEndpointBuilderFactory.BlobEndpointProducerBuilder- Parameters:
dataCount- the value to set- Returns:
- the dsl builder
-
dataCount
How many bytes to include in the range. Must be greater than or equal to 0 if specified. The option will be converted to a <code>java.lang.Long</code> type. Group: common- Specified by:
dataCountin interfaceBlobEndpointBuilderFactory.BlobEndpointConsumerBuilder- Specified by:
dataCountin interfaceBlobEndpointBuilderFactory.BlobEndpointProducerBuilder- Parameters:
dataCount- the value to set- Returns:
- the dsl builder
-
fileDir
The file directory where the downloaded blobs will be saved to, this can be used in both, producer and consumer. The option is a: <code>java.lang.String</code> type. Group: common- Specified by:
fileDirin interfaceBlobEndpointBuilderFactory.BlobEndpointConsumerBuilder- Specified by:
fileDirin interfaceBlobEndpointBuilderFactory.BlobEndpointProducerBuilder- Parameters:
fileDir- the value to set- Returns:
- the dsl builder
-
maxResultsPerPage
Specifies the maximum number of blobs to return, including all BlobPrefix elements. If the request does not specify maxResultsPerPage or specifies a value greater than 5,000, the server will return up to 5,000 items. The option is a: <code>java.lang.Integer</code> type. Group: common- Specified by:
maxResultsPerPagein interfaceBlobEndpointBuilderFactory.BlobEndpointConsumerBuilder- Specified by:
maxResultsPerPagein interfaceBlobEndpointBuilderFactory.BlobEndpointProducerBuilder- Parameters:
maxResultsPerPage- the value to set- Returns:
- the dsl builder
-
maxResultsPerPage
Specifies the maximum number of blobs to return, including all BlobPrefix elements. If the request does not specify maxResultsPerPage or specifies a value greater than 5,000, the server will return up to 5,000 items. The option will be converted to a <code>java.lang.Integer</code> type. Group: common- Specified by:
maxResultsPerPagein interfaceBlobEndpointBuilderFactory.BlobEndpointConsumerBuilder- Specified by:
maxResultsPerPagein interfaceBlobEndpointBuilderFactory.BlobEndpointProducerBuilder- Parameters:
maxResultsPerPage- the value to set- Returns:
- the dsl builder
-
maxRetryRequests
Specifies the maximum number of additional HTTP Get requests that will be made while reading the data from a response body. The option is a: <code>int</code> type. Default: 0 Group: common- Specified by:
maxRetryRequestsin interfaceBlobEndpointBuilderFactory.BlobEndpointConsumerBuilder- Specified by:
maxRetryRequestsin interfaceBlobEndpointBuilderFactory.BlobEndpointProducerBuilder- Parameters:
maxRetryRequests- the value to set- Returns:
- the dsl builder
-
maxRetryRequests
Specifies the maximum number of additional HTTP Get requests that will be made while reading the data from a response body. The option will be converted to a <code>int</code> type. Default: 0 Group: common- Specified by:
maxRetryRequestsin interfaceBlobEndpointBuilderFactory.BlobEndpointConsumerBuilder- Specified by:
maxRetryRequestsin interfaceBlobEndpointBuilderFactory.BlobEndpointProducerBuilder- Parameters:
maxRetryRequests- the value to set- Returns:
- the dsl builder
-
prefix
Filters the results to return only blobs whose names begin with the specified prefix. May be null to return all blobs. The option is a: <code>java.lang.String</code> type. Group: common- Specified by:
prefixin interfaceBlobEndpointBuilderFactory.BlobEndpointConsumerBuilder- Specified by:
prefixin interfaceBlobEndpointBuilderFactory.BlobEndpointProducerBuilder- Parameters:
prefix- the value to set- Returns:
- the dsl builder
-
regex
Filters the results to return only blobs whose names match the specified regular expression. May be null to return all if both prefix and regex are set, regex takes the priority and prefix is ignored. The option is a: <code>java.lang.String</code> type. Group: common- Specified by:
regexin interfaceBlobEndpointBuilderFactory.BlobEndpointConsumerBuilder- Specified by:
regexin interfaceBlobEndpointBuilderFactory.BlobEndpointProducerBuilder- Parameters:
regex- the value to set- Returns:
- the dsl builder
-
sasToken
In case of usage of Shared Access Signature we'll need to set a SAS Token. The option is a: <code>java.lang.String</code> type. Group: common- Specified by:
sasTokenin interfaceBlobEndpointBuilderFactory.BlobEndpointConsumerBuilder- Specified by:
sasTokenin interfaceBlobEndpointBuilderFactory.BlobEndpointProducerBuilder- Parameters:
sasToken- the value to set- Returns:
- the dsl builder
-
serviceClient
default BlobEndpointBuilderFactory.BlobEndpointBuilder serviceClient(com.azure.storage.blob.BlobServiceClient serviceClient) Client to a storage account. This client does not hold any state about a particular storage account but is instead a convenient way of sending off appropriate requests to the resource on the service. It may also be used to construct URLs to blobs and containers. This client contains operations on a service account. Operations on a container are available on BlobContainerClient through BlobServiceClient#getBlobContainerClient(String), and operations on a blob are available on BlobClient through BlobContainerClient#getBlobClient(String). The option is a: <code>com.azure.storage.blob.BlobServiceClient</code> type. Group: common- Specified by:
serviceClientin interfaceBlobEndpointBuilderFactory.BlobEndpointConsumerBuilder- Specified by:
serviceClientin interfaceBlobEndpointBuilderFactory.BlobEndpointProducerBuilder- Parameters:
serviceClient- the value to set- Returns:
- the dsl builder
-
serviceClient
Client to a storage account. This client does not hold any state about a particular storage account but is instead a convenient way of sending off appropriate requests to the resource on the service. It may also be used to construct URLs to blobs and containers. This client contains operations on a service account. Operations on a container are available on BlobContainerClient through BlobServiceClient#getBlobContainerClient(String), and operations on a blob are available on BlobClient through BlobContainerClient#getBlobClient(String). The option will be converted to a <code>com.azure.storage.blob.BlobServiceClient</code> type. Group: common- Specified by:
serviceClientin interfaceBlobEndpointBuilderFactory.BlobEndpointConsumerBuilder- Specified by:
serviceClientin interfaceBlobEndpointBuilderFactory.BlobEndpointProducerBuilder- Parameters:
serviceClient- the value to set- Returns:
- the dsl builder
-
timeout
An optional timeout value beyond which a RuntimeException will be raised. The option is a: <code>java.time.Duration</code> type. Group: common- Specified by:
timeoutin interfaceBlobEndpointBuilderFactory.BlobEndpointConsumerBuilder- Specified by:
timeoutin interfaceBlobEndpointBuilderFactory.BlobEndpointProducerBuilder- Parameters:
timeout- the value to set- Returns:
- the dsl builder
-
timeout
An optional timeout value beyond which a RuntimeException will be raised. The option will be converted to a <code>java.time.Duration</code> type. Group: common- Specified by:
timeoutin interfaceBlobEndpointBuilderFactory.BlobEndpointConsumerBuilder- Specified by:
timeoutin interfaceBlobEndpointBuilderFactory.BlobEndpointProducerBuilder- Parameters:
timeout- the value to set- Returns:
- the dsl builder
-
accessKey
Access key for the associated azure account name to be used for authentication with azure blob services. The option is a: <code>java.lang.String</code> type. Group: security- Specified by:
accessKeyin interfaceBlobEndpointBuilderFactory.BlobEndpointConsumerBuilder- Specified by:
accessKeyin interfaceBlobEndpointBuilderFactory.BlobEndpointProducerBuilder- Parameters:
accessKey- the value to set- Returns:
- the dsl builder
-
sourceBlobAccessKey
default BlobEndpointBuilderFactory.BlobEndpointBuilder sourceBlobAccessKey(String sourceBlobAccessKey) Source Blob Access Key: for copyblob operation, sadly, we need to have an accessKey for the source blob we want to copy Passing an accessKey as header, it's unsafe so we could set as key. The option is a: <code>java.lang.String</code> type. Group: security- Specified by:
sourceBlobAccessKeyin interfaceBlobEndpointBuilderFactory.BlobEndpointConsumerBuilder- Specified by:
sourceBlobAccessKeyin interfaceBlobEndpointBuilderFactory.BlobEndpointProducerBuilder- Parameters:
sourceBlobAccessKey- the value to set- Returns:
- the dsl builder
-